Bug 237379 - (ruby-amazon) Review Request: ruby-amazon - Ruby interface to Amazon Web Services
Review Request: ruby-amazon - Ruby interface to Amazon Web Services
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: alexandria
  Show dependency treegraph
 
Reported: 2007-04-21 13:01 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 08:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Stephanos Manos 2007-04-21 18:24:26 EDT
Be aware that including the rdocs brings an unwanted file conflict with a file
provided ruby-ri (i.e. %{rdocpath}Fixnum/cdesc-Fixnum.yaml)
Comment 2 Mamoru TASAKA 2007-04-21 21:17:41 EDT
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-amazon.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-amazon-0.9.2-2.fc7.src.rpm

----------------------------------------
* Sun Apr 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.9.2-2
- Don't provide rdoc files to aboid unwanted conflict with ri
Comment 3 Chitlesh GOORAH 2007-05-01 08:15:04 EDT
Is there any reason why you left the contents of the folder "test" behind ?

There might be 2 kinds of users which could use this package:
 * a user which wants to install a package which depends on this package
 * a user which wants to use this package to create his/her own software. 
Hence in this case, the contents of the folder "test" might be considered as 
examples to him/her.
Comment 4 Mamoru TASAKA 2007-05-01 09:32:46 EDT
Well, if you want me to include all files under test/ directory
as documentation, I want to create -doc subpackage because
test/ directory are by 3 times larger than ruby-amazon package
itself. What do you think?

-------------------------------------------------
180K    /usr/lib/ruby/site_ruby/1.8/amazon
12K     /usr/lib/ruby/site_ruby/1.8/amazon.rb

592K    test
Comment 5 Mamoru TASAKA 2007-05-01 09:42:31 EDT
One more comment
Including test/ directory results in making this rpm contain
almost all files of original tarball.
Comment 6 Chitlesh GOORAH 2007-05-01 10:03:25 EDT
(In reply to comment #4)
> Well, if you want me to include all files under test/ directory
> as documentation, I want to create -doc subpackage because
> test/ directory are by 3 times larger than ruby-amazon package
> itself. What do you think?

-doc subpackage would be appropriate.

(In reply to comment #5)
> One more comment
> Including test/ directory results in making this rpm contain
> almost all files of original tarball.

is it wrong ?
Comment 7 Mamoru TASAKA 2007-05-01 10:58:32 EDT
(In reply to comment #6)
> (In reply to comment #4)
> > Well, if you want me to include all files under test/ directory
> > as documentation, I want to create -doc subpackage because
> > test/ directory are by 3 times larger than ruby-amazon package
> > itself. What do you think?
> 
> -doc subpackage would be appropriate.

Updated.
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-amazon.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-amazon-0.9.2-3.fc7.src.rpm

----------------------------------------------------
* Tue May  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.9.2-3
- Split documentation
Comment 8 Mamoru TASAKA 2007-05-05 14:19:07 EDT
Any issues left for this package?
Comment 9 Chitlesh GOORAH 2007-05-06 05:38:39 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own 
file, then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files 
listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros 
section of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, 
and that file must be properly installed with desktop-file-install in 
the %install section.
- MUST: Package does not own files or directories already owned by other 
packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 10 Mamoru TASAKA 2007-05-06 08:35:12 EDT
Thank you!

Request for CVS admin:
-----------------------------------------------
New Package CVS Request
=======================
Package Name:         ruby-amazon
Short Description:    Ruby interface to Amazon Web Services
Owners:               mtasaka@ioa.s.u-tokyo.ac.jp
Branches:             devel FC-6 FC-5
InitialCC:            (nobody)
-----------------------------------------------
Comment 11 Mamoru TASAKA 2007-05-07 11:47:57 EDT
Just for note:
Rebuild for FC-6/5 is done.
Rebuild for devel is currently stopped due to koji side problem
Comment 12 Mamoru TASAKA 2007-05-08 08:55:56 EDT
Rebuild for devel also done.
Thank you for the review!!

Note You need to log in before you can comment on or make changes to this bug.